Project

General

Profile

Bug #77305

Add missing import that prevented editing iocage mount points in new UI

Added by Andrew Curtin almost 3 years ago. Updated over 2 years ago.

Status:
Done
Priority:
No priority
Assignee:
Brandon Schneider
Category:
Middleware
Target version:
Seen in:
Severity:
Medium
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

when I try to edit or create a mount point associated with a jail, I get a python traceback.

Error: concurrent.futures.process._RemoteTraceback:
""" 
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 128, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 88, in _run
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 684, in fstab
    dump, _pass, index=index
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1037, in fstab
    index=index
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_fstab.py", line 67, in __init__
    self.dests = self.__validate_fstab__(self.fstab, 'all')
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_fstab.py", line 194, in __validate_fstab__
    exception=iocage_lib.ioc_exceptions.ValidationFailed
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 90, in logit
    _callback(content, exception)
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 64, in callback
    raise callback_exception(message)
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_exceptions.py", line 32, in __init__
    collections.Iterable
NameError: name 'collections' is not defined
""" 

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
    result = await self.middleware.call_method(self, message)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1141, in call_method
    return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1078, in _call
    return await self._call_worker(serviceobj, name, *args)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1105, in _call_worker
    job,
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1036, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1021, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
NameError: name 'collections' is not defined

Related issues

Related to FreeNAS - Bug #77088: Failed Jail Install deletes existing jail.Closed
Has duplicate FreeNAS - Bug #77755: Error in plex mount pointClosed
Has duplicate FreeNAS - Bug #76882: All mount points of jail removed after editingClosed
Has duplicate FreeNAS - Bug #78654: can't remove mountpoint from jailClosed

History

#1 Updated by Dru Lavigne almost 3 years ago

  • Category changed from GUI (new) to Middleware
  • Assignee changed from Release Council to William Grzybowski

#2 Updated by William Grzybowski almost 3 years ago

  • Assignee changed from William Grzybowski to Brandon Schneider
  • Target version changed from Backlog to 11.2-U3
  • Severity changed from New to Medium

#3 Updated by Bug Clerk almost 3 years ago

  • Status changed from Unscreened to In Progress

#4 Updated by Bug Clerk almost 3 years ago

  • Status changed from In Progress to Ready for Testing

#5 Updated by Dru Lavigne almost 3 years ago

  • Subject changed from can't edit mount mounts for jails in the UI to Add missing import that prevented editing iocage mount points in new UI
  • Needs Doc changed from Yes to No
  • Needs Merging changed from Yes to No

#7 Updated by Dru Lavigne almost 3 years ago

  • Has duplicate Bug #77755: Error in plex mount point added

#8 Updated by john aylward almost 3 years ago

Is there a work around for this? I finally bit the bullet to upgrade from Freenas 10, now this has me dead in the water as I can't re-add mount points to my jails? Can I do it from the command line over SSH?

#9 Updated by Brandon Schneider almost 3 years ago

John: Yes, you can edit this on the shell in the meantime. The file will be located in /mnt/POOLYOUACTIVATED/iocage/jails/JAIL/fstab.

#10 Updated by john aylward almost 3 years ago

Perfect, that was just what I needed!

#11 Updated by Brandon Schneider over 2 years ago

Test case
---
Edit mountpoints, if you can do so, it works.

#12 Updated by Dru Lavigne over 2 years ago

  • Related to Bug #77088: Failed Jail Install deletes existing jail. added

#13 Updated by Dru Lavigne over 2 years ago

  • Has duplicate Bug #76882: All mount points of jail removed after editing added

#14 Updated by Dru Lavigne over 2 years ago

  • Has duplicate Bug #78654: can't remove mountpoint from jail added

#17 Avatar?id=55038&size=24x24 Updated by Zackary Welch over 2 years ago

  • Status changed from Ready for Testing to Passed Testing
  • Needs QA changed from Yes to No

Confirmed fixed in 11.2-U3.

#18 Updated by Dru Lavigne over 2 years ago

  • Status changed from Passed Testing to Done

Also available in: Atom PDF